Bug 552483 (CVE-2010-0013) - CVE-2010-0013 pidgin/libpurple: MSN custom smiley request directory traversal file disclosure
Summary: CVE-2010-0013 pidgin/libpurple: MSN custom smiley request directory traversal...
Status: CLOSED ERRATA
Alias: CVE-2010-0013
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20091227,repo...
Keywords: Security
Depends On: 552492 552493 552494 552495 552496 833965
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-05 10:06 UTC by Tomas Hoger
Modified: 2019-06-08 12:53 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-02-10 07:17:04 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0044 normal SHIPPED_LIVE Important: pidgin security update 2010-01-14 17:23:20 UTC

Description Tomas Hoger 2010-01-05 10:06:37 UTC
On 26C3, Fabian Yamaguchi presented a directory traversal flaw in libpurple MSN protocol implementation.  The flaw can be used by the remote attacker to download arbitrary file readable by the user running instant messenger using libpurple (such as pidgin) from the victim's computer via MSN emoticon / smiley download request.  More details in Fabian's presentation:

http://events.ccc.de/congress/2009/Fahrplan/events/3596.en.html
http://events.ccc.de/congress/2009/Fahrplan/attachments/1483_26c3_ipv4_fuckups.pdf
(slides 10-22)

Upstream fix:
http://d.pidgin.im/viewmtn/revision/info/c64a1adc8bda2b4aeaae1f273541afbc4f71b810

which depends on the other two commits:
http://d.pidgin.im/viewmtn/revision/info/4be2df4f72bd8a55cdae7f2554b73342a497c92f
http://d.pidgin.im/viewmtn/revision/info/3d02401cf232459fc80c0837d31e05fae7ae5467

References:
http://thread.gmane.org/gmane.comp.security.oss.general/2462

Mitigations:
Remove ~/.purple/custom_smiley/ directory if it exists.  The directory is not created by default and is created when first custom smiley is defined.

Comment 2 Fedora Update System 2010-01-12 23:40:51 UTC
pidgin-2.6.5-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2010-01-12 23:49:10 UTC
pidgin-2.6.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 errata-xmlrpc 2010-01-14 17:23:31 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0044 https://rhn.redhat.com/errata/RHSA-2010-0044.html


Note You need to log in before you can comment on or make changes to this bug.